#!/bin/bash
#export FC=gfortran
export FC=spmfrt
#export FFLAGS="-std=f95 -pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC"
export FFLAGS="-O3 -pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC"
#export FFLAGS="-pedantic -fopenmp -fno-var-tracking-assignments -DSJPACK -DSLTT2D1DMONOTONIC"
#export FFLAGS="-pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC -DINCLUDE_TIME_ORIGIN"
#export FFLAGS="-pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC -DAXISYMMETRY"
#export FFLAGS="-pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC -DRRTMG"
#export FFLAGS="-pedantic -fopenmp -DSJPACK -DSLTT2D1DMONOTONIC -DJMAVDIFF"
#export FFLAGS="-Ofast -g -fopenmp -fbacktrace -ffpe-trap=invalid,zero,overflow -fbounds-check -Wall -DSJPACK -DSLTT2D1DMONOTONIC"
DEB_HOST_MULTIARCH=`dpkg-architecture -qDEB_HOST_MULTIARCH`
#./configure \
#        --with-netcdf=/usr/lib/libnetcdf.a \
#        --with-netcdff=/usr/lib/libnetcdff.a \
#        --with-netcdf-include=/usr/include/netcdf \
#        --with-ispack=/usr/lib/$DEB_HOST_MULTIARCH/libispack.a \
#        --with-gtool5=/usr/lib/$DEB_HOST_MULTIARCH/gtool5/lib/libgtool5.a \
#        --with-spml=/usr/lib/$DEB_HOST_MULTIARCH/spml/lib/libspml-lapack-lapack.a
./configure \
        --with-netcdf=/usr/lib/$DEB_HOST_MULTIARCH/libnetcdf.so \
        --with-netcdff=/usr/lib/$DEB_HOST_MULTIARCH/libnetcdff.a \
        --with-netcdf-include=/usr/include \
        --with-ispack=/usr/lib/$DEB_HOST_MULTIARCH/libispack.a \
        --with-gtool5=/usr/lib/$DEB_HOST_MULTIARCH/gtool5/lib/libgtool5.a \
        --with-spml=/usr/lib/$DEB_HOST_MULTIARCH/spml/lib/libspml-lapack-lapack.a
make

